GNU bug report logs - #32061
electric-indent-mode breaks paragraph-indent-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: David Liu <xdavidliu@HIDDEN>; merged with #26569; dated Thu, 5 Jul 2018 16:00:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 26569 32061. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jul 2018 15:59:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 05 11:59:15 2018
Received: from localhost ([127.0.0.1]:47936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fb6f5-0007Yb-0s
	for submit <at> debbugs.gnu.org; Thu, 05 Jul 2018 11:59:15 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <xdavidliu@HIDDEN>) id 1fb6KU-00072G-K4
 for submit <at> debbugs.gnu.org; Thu, 05 Jul 2018 11:37:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <xdavidliu@HIDDEN>) id 1fb6KO-0000mV-5j
 for submit <at> debbugs.gnu.org; Thu, 05 Jul 2018 11:37:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35716)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <xdavidliu@HIDDEN>) id 1fb6KO-0000mO-2f
 for submit <at> debbugs.gnu.org; Thu, 05 Jul 2018 11:37:52 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49085)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <xdavidliu@HIDDEN>) id 1fb6KM-00064f-LP
 for bug-gnu-emacs@HIDDEN; Thu, 05 Jul 2018 11:37:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <xdavidliu@HIDDEN>) id 1fb6KL-0000lM-EK
 for bug-gnu-emacs@HIDDEN; Thu, 05 Jul 2018 11:37:50 -0400
Received: from mail-qt0-x229.google.com ([2607:f8b0:400d:c0d::229]:38054)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <xdavidliu@HIDDEN>) id 1fb6KL-0000l8-2i
 for bug-gnu-emacs@HIDDEN; Thu, 05 Jul 2018 11:37:49 -0400
Received: by mail-qt0-x229.google.com with SMTP id c5-v6so7451000qth.5
 for <bug-gnu-emacs@HIDDEN>; Thu, 05 Jul 2018 08:37:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:content-transfer-encoding:mime-version:subject:message-id:date
 :to; bh=rwSx+ssDutaVT2X31/LYhDWjimFpgf5HEYsY42LU9G8=;
 b=TD6HnhXMGYaAeYhhTfKG4AyldVk/Kz0QY+64HWzwxqd5aSYsK6SEbPymVTLEHmqXMu
 2q0cCXkC1UqonjgjhH+zDD9FHf2sXfAn2Yz+S5YNyI0m3yPxTGzNa2bdulNtcZ6nVu0q
 lAahZ6JVjwy2Rlc7ssZuhvH9QXLgta2fp8rwaU+qWmgdX7KZ/NcrvMV9ckj1zJhODewj
 exmbZmo4Qj3uDOzNX1Pd0Igo+A6bBseJoDFzkm65UUjDh8yk+tuUApdam6HGZTDbL6K5
 KZKpcvPap7OKTDPsfAIa8Vw0x1iXtWSBIPmNAsbIh3fYyY8GSn1xsW4bxOUGS+reuy/v
 gUHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:content-transfer-encoding:mime-version
 :subject:message-id:date:to;
 bh=rwSx+ssDutaVT2X31/LYhDWjimFpgf5HEYsY42LU9G8=;
 b=Q42BKbaCgSZ4JhfID5qc9Q2ekqfJV0GTRyQp/4LYes6EnJM9U8CNM4BrH1Zf7u3g7H
 TyhHk19qTBlc++vmywlPqw5uHNg6P4/gaQvE2wJsZ+oct+fKE9WfncfaZruWgrreyJx5
 jq3ernsC2m2IS6ebMOOCzXgY9nwLtuBl9rK5tJAlFrajtZLxCycqe6dFwymiUh1kHrR/
 kqlLfiJipVl62GHKZOX2gUBJpY0AQNEPRnRQInilHVkzm+iszwKpKVgNep5EyTOXrx1b
 0df0YUdFmRumpwWM35dWe41cxEUtjuy/XgJX0b7cd3n50A/NPHVfn99oRSeKvozaokQh
 FZ/Q==
X-Gm-Message-State: APt69E311EzBuxnp9mEGKYEcTYNoY+7qMMdjTLBIZn6AfZcnHvlM1Adf
 HzDLzHpAI01+qpJTKSmJJ2F4PW+B
X-Google-Smtp-Source: AAOMgpfg0nMfF6UStzDMjMzRkZ0vD5Am9VWE3zh/V7NDIYILziKJIQIsqK6dc010ue1K/gWsqk3SsA==
X-Received: by 2002:ac8:318e:: with SMTP id
 h14-v6mr5939111qte.36.1530805068007; 
 Thu, 05 Jul 2018 08:37:48 -0700 (PDT)
Received: from ?IPv6:2601:83:201:c92d:c8d4:d58c:a884:929?
 ([2601:83:201:c92d:c8d4:d58c:a884:929])
 by smtp.gmail.com with ESMTPSA id o10-v6sm4282166qkl.94.2018.07.05.08.37.46
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 05 Jul 2018 08:37:47 -0700 (PDT)
From: David Liu <xdavidliu@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 11.3 \(3445.6.18\))
Subject: electric-indent-mode breaks paragraph-indent-mode
Message-Id: <E5732B3D-E9D7-4A90-81B7-085A6CF2175C@HIDDEN>
Date: Thu, 5 Jul 2018 11:37:46 -0400
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3445.6.18)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 05 Jul 2018 11:59:14 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


To produce this bug, I start a buffer and do M-x =
paragraph-indent-text-mode.=20
Then, I enter four spaces to indicate the start of a paragraph, followed =
by a=20
short sentence, then press Return. This correctly goes to a newline, but=20=

incorrectly causes the four spaces at the beginning to be deleted. If I =
attempt=20
to indicate the start of more new paragraphs, this happens again. Hence,=20=

there's actually no way to start new paragraphs in =
paragraph-indent-text-mode.=20
The only way correct this behavior is to evaluate (electric-indent-mode =
-1). Then,=20
everything works correctly.



In GNU Emacs 25.3.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21 =
Version 10.9.5 (Build 13F1911))
 of 2017-09-12 built on builder10-9.local
Windowing system distributor 'Apple', version 10.3.1561
Configured using:
 'configure --with-ns '--enable-locallisppath=3D/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Loading /Users/daveliu/quicklisp/slime-helper.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns mail-prsvr mail-utils
slime-fancy slime-trace-dialog slime-fontifying-fu slime-package-fu
slime-references slime-compiler-notes-tree slime-scratch
slime-presentations advice bridge slime-macrostep macrostep
slime-mdot-fu slime-enclosing-context slime-fuzzy slime-fancy-trace
slime-fancy-inspector slime-c-p-c slime-editing-commands slime-autodoc
slime-repl elp slime-parse slime derived edmacro kmacro lisp-mnt gud
apropos compile etags xref cl-seq project eieio byte-opt bytecomp
byte-compile cl-extra help-mode cconv eieio-core arc-mode archive-mode
noutline outline easy-mmode easymenu pp comint ansi-color ring hyperspec
cl-macs thingatpt browse-url cl gv cl-loaddefs pcase cl-lib
slime-autoloads wheatgrass-theme time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel ns-win
ucs-normalize term/common-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 303942 17008)
 (symbols 48 26532 0)
 (miscs 40 59 258)
 (strings 32 34958 7574)
 (string-bytes 1 992619)
 (vectors 16 38193)
 (vector-slots 8 723980 4807)
 (floats 8 273 63)
 (intervals 56 229 0)
 (buffers 976 17))





Acknowledgement sent to David Liu <xdavidliu@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32061; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 5 Jul 2018 22:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.